My Project: dgMeshEffect::dgMeshBVH::dgMeshBVHNode Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgMeshEffect::dgMeshBVH::dgMeshBVHNode Class Reference

`#include <dgMeshEffect.h>`

## Public Member Functions

| dgMeshBVHNode (const dgMeshEffect *const mesh, dgEdge *const face, void *const userData)
| dgMeshBVHNode (dgMeshBVHNode *const left, dgMeshBVHNode *const right)
| ~dgMeshBVHNode ()
void | SetBox (const dgVector &p0, const dgVector &p1)

## Public Attributes

dgVector | m_p0
dgVector | m_p1
dgFloat32 | m_area
dgEdge * | m_face
void * | m_userData
dgMeshBVHNode * | m_left
dgMeshBVHNode * | m_right
dgMeshBVHNode * | m_parent

## Constructor & Destructor Documentation

## § dgMeshBVHNode() [1/2]

dgMeshEffect::dgMeshBVH::dgMeshBVHNode::dgMeshBVHNode | ( | const dgMeshEffect *const | mesh,
|  | dgEdge *const | face,
|  | void *const | userData
| ) |  |

## § dgMeshBVHNode() [2/2]

dgMeshEffect::dgMeshBVH::dgMeshBVHNode::dgMeshBVHNode | ( | dgMeshBVHNode *const | left,
|  | dgMeshBVHNode *const | right
| ) |  |

## § ~dgMeshBVHNode()

dgMeshEffect::dgMeshBVH::dgMeshBVHNode::~dgMeshBVHNode | ( |  | ) |

## Member Function Documentation

## § SetBox()

void dgMeshEffect::dgMeshBVH::dgMeshBVHNode::SetBox | ( | const dgVector & | p0,
|  | const dgVector & | p1
| ) |  |

## Member Data Documentation

## § m_area

dgFloat32 dgMeshEffect::dgMeshBVH::dgMeshBVHNode::m_area

## § m_face

dgEdge* dgMeshEffect::dgMeshBVH::dgMeshBVHNode::m_face

## § m_left

dgMeshBVHNode* dgMeshEffect::dgMeshBVH::dgMeshBVHNode::m_left

## § m_p0

dgVector dgMeshEffect::dgMeshBVH::dgMeshBVHNode::m_p0

## § m_p1

dgVector dgMeshEffect::dgMeshBVH::dgMeshBVHNode::m_p1

## § m_parent

dgMeshBVHNode* dgMeshEffect::dgMeshBVH::dgMeshBVHNode::m_parent

## § m_right

dgMeshBVHNode* dgMeshEffect::dgMeshBVH::dgMeshBVHNode::m_right

## § m_userData

void* dgMeshEffect::dgMeshBVH::dgMeshBVHNode::m_userData

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect.h
- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect1.cpp